#!/tvbin/tivosh
# ************************************************************
# AltEPG Project Source Code Version Control
# $FileID: git::root/hack/bin/flushres.tcl $
# $Revision: altepg1.0c_1-2011-10-16 root 2011-10-01 12:01:00 +0100 buglist update $
# Description: Flush cached database resources
# (From AlphaWolf's Tivo Enhancement Script)
# ************************************************************

set db [dbopen]

puts "Removing CompressedFile (cached) items"

RetryTransaction {
	set swsysa [db $db open "/SwSystem/ACTIVE"]
	set resgrp [dbobj $swsysa get ResourceGroup]
	foreach res $resgrp {
		dbobj $res remove "CompressedFile"
	}
}

puts "Reboot your TiVo to apply the changes"

